| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::IdentifierGrammar::definition< ScannerT > Struct Template Reference

`#include <ParserGrammar.h>`

List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >

Definition at line 57 of file ParserGrammar.h.

## Public Member Functions
| definition (IdentifierGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
symbols | keywords
rule< ScannerT > | identifier

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::definition | ( | IdentifierGrammar const & | self | ) | `[inline]`

Definition at line 59 of file ParserGrammar.h.

References Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::identifier, and Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::keywords.

    00060         {
    00061           //-----------------------------------------------------------------
    00062           // KEYWORDS
    00063           //-----------------------------------------------------------------
    00064           keywords =
    00065             "#include" ,
    00066             "#units"   ,
    00067             "#ifdef"   ,
    00068             "#ifndef"  ,
    00069             "#endif"   ,
    00070             "#else"    ,
    00071             "WIN32"    ;
    00072           identifier
    00073             = (lexeme_d[ (alpha_p >> *(alnum_p | '_'))
    00074                          - (keywords >>
    00075                             anychar_p - (alnum_p | '_'))])
    00076             [self.val = construct_<std::string>(arg1,arg2)];
    00077         }

## Member Function Documentation

template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 79 of file ParserGrammar.h.

References Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::identifier.

    00080         { return identifier; }

## Member Data Documentation

template<typename ScannerT>

symbols Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::keywords

Definition at line 78 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::identifier

Definition at line 81 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::IdentifierGrammar::definition< ScannerT >::start().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/ParserGrammar.h